package org.kde.koala;
import org.kde.qt.*;


/** {@link KCompletion} emits these signals */
public interface KCompletionSignals {
	void destroyed( QObject obj );

/** 
 The matching item. Will be emitted by {@link KCompletion#makeCompletion},
 {@link KCompletion#previousMatch} or {@link KCompletion#nextMatch}. May be String.null if there
 is no matching item.
     
*/
	void match( String arg1 );

/** 
 This signal is emitted, when calling {@link KCompletion#makeCompletion} and more than
 one matching item is found.

*/
	void multipleMatches();

/** 
 All matching items. Will be emitted by {@link KCompletion#makeCompletion} in shell-
 completion-mode, when the same string is passed to makeCompletion twice
 or more often.
     
*/
	void matches( String[] arg1 );
}

